Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Persistence\Legacy\Content\Gateway\DoctrineDatabase\QueryBuilder Class Reference

## Public Member Functions
| __construct (DatabaseHandler $dbHandler)
| Creates a new query builder. More...
| createNamesQuery ()
| Create select query to query content name data. More...
| createVersionInfoQueryBuilder ($versionNo=null)
| Create a doctrine query builder with db fields needed to populate VersionInfo. More...

## Protected Attributes
| $dbHandler
| $connection

## Detailed Description

Definition at line 11 of file QueryBuilder.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\Content\Gateway\DoctrineDatabase\QueryBuilder::__construct | ( | DatabaseHandler | $dbHandler | ) |

Creates a new query builder.

Parameters

  \eZ\Publish\Core\Persistence\Database\DatabaseHandler | $dbHandler |

Definition at line 36 of file QueryBuilder.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Gateway\DoctrineDatabase\QueryBuilder\$dbHandler.

## Member Function Documentation

## ◆ createNamesQuery()

eZ\Publish\Core\Persistence\Legacy\Content\Gateway\DoctrineDatabase\QueryBuilder::createNamesQuery | ( |  | ) |

Create select query to query content name data.

Returns
  \eZ\Publish\Core\Persistence\Database\SelectQuery

Definition at line 150 of file QueryBuilder.php.

## ◆ createVersionInfoQueryBuilder()

eZ\Publish\Core\Persistence\Legacy\Content\Gateway\DoctrineDatabase\QueryBuilder::createVersionInfoQueryBuilder | ( |  | $versionNo = `null` | ) |

Create a doctrine query builder with db fields needed to populate VersionInfo.

Parameters

  int | null | $versionNo | Selects current version number if left undefined as null.

Returns
  \Doctrine\DBAL\Query\QueryBuilder

Definition at line 263 of file QueryBuilder.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Gateway\DoctrineDatabase\$queryBuilder.

## Member Data Documentation

## ◆ $connection

eZ\Publish\Core\Persistence\Legacy\Content\Gateway\DoctrineDatabase\QueryBuilder::$connection
| protected

Definition at line 29 of file QueryBuilder.php.

## ◆ $dbHandler

eZ\Publish\Core\Persistence\Legacy\Content\Gateway\DoctrineDatabase\QueryBuilder::$dbHandler
| protected

Definition at line 20 of file QueryBuilder.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Gateway\DoctrineDatabase\QueryBuilder\__construct().

The documentation for this class was generated from the following file:

- QueryBuilder.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.